Figure - Bug #113460
00 Test-ST#113421 (New): V400 0O O OO0
O O Test-ST # 113422 (New): V4.00 O --AFO O --monkeyd O

O AFO O EVT20O O Monkeyd Monkeyd O 80 O O O O CRASH: com.android.settings 30
2022-11-01 14:26 - CD Test(l [J

D.X101.2

Status: CLOSED Start date: 2022-11-01
Priority: Normal Due date: 2022-11-08
Assignee: CD Test O % Done: 100%
Category: CD-FW Estimated time: 0.00 hour
Target version: VX1_MCE_FSE_V3.0_update_20221130

Need_Info: - Found Version: FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.0
Resolution: FIXED Degrated: No
Severity: Normal Verified Version:

Reproducibility: Frequently Fixed Version:

Test Type: Monkey Test Root cause: ggoo
Description

oo0ooo

1. adb shell

2. monkey --ignore-crashes --ignore-timeouts --ignore-security-exceptions --monitor-native-crashes --ignore-native-crashes -s 20 --throttle 200
--pct-touch 30 --pct-motion 15 --pct-nav 15 --pct-majornav 15 --pct-syskeys 5 --pct-appswitch 5 --pct-anyevent 5 --ignore-crashes -v -v -v 180000
2>/sdcard/error.txt 1>/sdcard/info.txt

gooon

10-28 06:42:13.607 25423 25423 D AndroidRuntime: Shutting down VM

10-28 06:42:13.607 25423 25423 E AndroidRuntime: FATAL EXCEPTION: main

10-28 06:42:13.607 25423 25423 E AndroidRuntime: Process: com.android.settings, PID: 25423

10-28 06:42:13.607 25423 25423 E AndroidRuntime: java.lang.lllegalStateException: Fragment ManageApplications{5b3cf87}
(6a5fa712-8735-4396-b041-da712fh68891) id=0x7f0a01b4} declared target fragment AppDashboardFragment{34aeb4}
(326¢709e-ccd6-4c7c-ac3d-f748eb242747)} that does not belong to this FragmentManager!

10-28 06:42:13.607 25423 25423 E AndroidRuntime:  at
androidx.fragment.app.FragmentStateManager.attach(FragmentStateManager.java:414)

10-28 06:42:13.607 25423 25423 E AndroidRuntime:  at
androidx.fragment.app.FragmentStateManager.moveToExpectedState(FragmentStateManager.java:251)

10-28 06:42:13.607 25423 25423 E AndroidRuntime:  at
androidx.fragment.app.FragmentManager.executeOpsTogether(FragmentManager.java:2209)

10-28 06:42:13.607 25423 25423 E AndroidRuntime:  at
androidx.fragment.app.FragmentManager.removeRedundantOperationsAndExecute(FragmentManager.java:2120)
10-28 06:42:13.607 25423 25423 E AndroidRuntime:  at
androidx.fragment.app.FragmentManager.execPendingActions(FragmentManager.java:2022)

10-28 06:42:13.607 25423 25423 E AndroidRuntime:  at androidx.fragment.app.FragmentManager$5.run(FragmentManager.java:527)
10-28 06:42:13.607 25423 25423 E AndroidRuntime:  at android.os.Handler.handleCallback(Handler.java:938)

10-28 06:42:13.607 25423 25423 E AndroidRuntime:  at android.os.Handler.dispatchMessage(Handler.java:99)

10-28 06:42:13.607 25423 25423 E AndroidRuntime:  at android.os.Looper.loopOnce(Looper.java:201)

10-28 06:42:13.607 25423 25423 E AndroidRuntime:  at android.os.Looper.loop(Looper.java:288)

10-28 06:42:13.607 25423 25423 E AndroidRuntime:  at android.app.ActivityThread.main(Activity Thread.java:7880)
10-28 06:42:13.607 25423 25423 E AndroidRuntime: at java.lang.reflect. Method.invoke(Native Method)

10-28 06:42:13.607 25423 25423 E AndroidRuntime:  at
com.android.internal.os.Runtimelnit$MethodAndArgsCaller.run(Runtimelnit.java:548)

10-28 06:42:13.607 25423 25423 E AndroidRuntime:  at com.android.internal.os.Zygotelnit.main(Zygotelnit.java:1009)
History

#1 - 2022-11-01 16:04 - CD TestO O
- Test Type changed from IT to Monkey Test

0 0O O Bug #113456 O O

#2 -2022-11-02 10:15-CDFW O O O
- Status changed from New to ASSIGNED
- Assignee changed fromCDFW O 0 0 toCD AF-0 0O O

#3-2022-11-1019:25-CD AF-0 0 O

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD AF-00 00 O to CD TestO O
- % Done changed from 0 to 100

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Rootcausesetto O O O O

.current status

goooo

.my analysis

O0handler 00 0000000000000 O0OOOODOOOOcrash
.submit url

https://120.133.72.237/gerrit/c/general/platform/packages/apps/Settings/+/161647

#4 - 2022-11-14 11:17 - CD TestO O
- % Done changed from 100 to 70

l1g1uobpBOoOocOooood

MonkeyD D OO0 002000

#5 - 2022-11-16 10:43 - CD Testd O

110150 Release0 0 OO OO OO

MonkeyD 0 000001000

#6 - 2022-11-17 10:22 - CD Testd O
- Status changed from RESOLVED to VERIFIED
- % Done changed from 70 to 80

10wobBOOOOOOOO
goosxpooooooobooooo
https://120.133.72.237/gerrit/c/general/platform/packages/apps/Settings/+/161647

#7 - 2022-11-17 10:22 - CD TestO O
- Status changed from VERIFIED to CLOSED
- % Done changed from 80 to 100
